﻿@model IEnumerable<Bll.Models.SummaryModel>
@using Pl.Helper.HtmlExtensions

@if (Model.Any())
{
    <div class="border border-1 accordion accordion-flush w-100" id="sub-accordionFlushExample">
        @foreach (var item in Model)
        {
            <div class="accordion-item">
                <h2 class="accordion-header" id="sub-flush-heading-@item.Id">
                    <button class="accordion-button collapsed @(item.IsHidden?"bg-deleted bg-gradient":"")" type="button" data-bs-toggle="collapse" data-bs-target="#sub-flush-collapse-@item.Id" aria-expanded="false" aria-controls="#sub-flush-collapse-@item.Id">
                        <div class="container">
                            <div class="row">
                                <div class="col-11">
                                    @item.Position
                                </div>
                                <div class="col-1">
                                    <span class="badge bg-success">@item.EmployersId.Count()</span>
                                </div>
                            </div>
                        </div>
                    </button>
                </h2>
                <div id="sub-flush-collapse-@item.Id" class="accordion-collapse collapse" aria-labelledby="sub-flush-heading-@item.Id" data-bs-parent="#sub-accordionFlushExample">
                    <div class="d-flex flex-column align-items-center accordion-body @(item.IsHidden?"bg-deleted bg-gradient":"")">
                        <div class="d-flex w-100 mb-3">
                            @Html.SeparateString(item.Description)
                        </div>
                        <div class="d-flex btn-group w-75" role="group" aria-label="Basic mixed styles example">
                            @Html.ActionLink("Details", "GetSummaryDetails", "Summary", new { item.Id }, new { @class = "btn btn-success" })
                            @Html.ActionLink("Edit", "EditSummary", "Summary", new { item.Id }, new { @class = "btn btn-warning" })
                            @if (!item.IsHidden)
                            {
                                @Ajax.ActionLink("Hide", "HideSummary", "Summary", new { item.Id }, new AjaxOptions() { UpdateTargetId = "SummariesListPartialId" }, new { @class = "btn btn-primary" })
                            }
                            else
                            {
                                @Ajax.ActionLink("Restore", "RestoreSummary", "Summary", new { item.Id }, new AjaxOptions() { UpdateTargetId = "SummariesListPartialId" }, new { @class = "btn btn-primary" })
                            }
                            @Ajax.ActionLink("Remove", "RemoveSummary", "Summary", new { item.Id }, new AjaxOptions() { UpdateTargetId = "SummariesListPartialId" }, new { @class = "btn btn-danger" })
                        </div>
                    </div>
                </div>
            </div>
        }
    </div>
}
else
{
    <div class="d-flex w-100 justify-content-center">
        <h2 class="d-flex">No Summaries</h2>
    </div>
}

